[v2,6/6] CI: Install mmdebstrap

Message ID 20230518094716.117770-7-amikan@ilbers.de
State Superseded, archived
Headers show
Series [v2,1/6] meta: Switch to mmdebstrap | expand

Commit Message

Anton Mikanovich May 18, 2023, 9:47 a.m. UTC
From: Uladzimir Bely <ubely@ilbers.de>

Signed-off-by: Anton Mikanovich <amikan@ilbers.de>
---
 scripts/ci_build.sh | 6 ++++++
 1 file changed, 6 insertions(+)

Patch

diff --git a/scripts/ci_build.sh b/scripts/ci_build.sh
index 2fa5cccd..055f9211 100755
--- a/scripts/ci_build.sh
+++ b/scripts/ci_build.sh
@@ -127,6 +127,12 @@  if echo "$TAGS" | grep -Fqive "-startvm"; then
     fi
 fi
 
+# install mmdebstrap
+if ! command -v mmdebstrap > /dev/null; then
+    sudo apt-get update -qq
+    sudo apt-get install -y mmdebstrap
+fi
+
 # Provide working path
 mkdir -p .config/avocado
 cat <<EOF > .config/avocado/avocado.conf